<?php
defined('ABSPATH') or die("you do not have access to this page!");

if ( ! function_exists( 'rsssl_secure_logged_in_cookie' ) ) {

	/**
	 * Set a secure cookie, but only if the site is enabled for SSL, not per page.
	 * This setting can be used on multisite as well, as it will decide per site what setting to use.
	 * @since 2.0.10
	 * */

	function rsssl_secure_logged_in_cookie( $secure_logged_in_cookie, $user_id, $secure ) {
		$options     = get_option( "rsssl_options" );
		$ssl_enabled = isset( $options['ssl_enabled'] ) ? $options['ssl_enabled'] : false;

		if ( ! defined( 'rsssl_pp_version' ) && $ssl_enabled ) {
			return true;
		}

		return $secure_logged_in_cookie;
	}

	add_filter( 'secure_logged_in_cookie', 'rsssl_secure_logged_in_cookie', 10, 3 );
}

if ( ! function_exists( 'rsssl_get_networkwide_option' ) ) {

	/**
	 * Get option, network or single site
	 *
	 * @param string name
	 *
	 * @return mixed
	 *
	 * @since 4.1
	 *
	 */

	function rsssl_get_networkwide_option( $name ) {
		if ( is_multisite() ) {
			return get_site_option( $name );
		} else {
			return get_option( $name );
		}
	}
}
